/*    MT32Convert is written by Phil Saunders

      MT32Convert expects the following command line:

      Convert infile outfile 

      infile is the file to be converted,
      outfile is the converted file,
      
*/

#include <stdio.h>

main(argc, argv)
int argc;
char *argv[];

{
   FILE *infile, *outfile;

   int i, j, c, ret;

   infile = fopen(argv[1], "r");               /*open Input file*/
      if (infile == NULL)  {
         printf("Couldn't open input file\n");
         fclose(infile);
         return NULL;
      }

   outfile = fopen(argv[2], "wb+");            /*open Output file*/
      if (outfile == NULL)  {
         printf("Couldn't open output file\n");
         fclose(infile);
         fclose(outfile);
         return NULL;
      }

   for (j = 1; j < 65; j++) {


      for (i = 1; i < 247; i++) {

         c = fgetc(infile);
         if (c == EOF) {
            printf("File too short to retrieve all voices\n");
            return EOF;
         }
         ret = fputc(c, outfile);
         if (ret == EOF) {
            printf("Error writing output file\n");
            return EOF;
         }
      }
      for (i = 1; i < 11; i++) {
	    ret = fputc('0', outfile);
         if (ret == EOF) {
	       printf("Error writing output file\n");
	       return EOF;
	    }
      }
   }   

     ret = fclose(infile);    /* close files*/
     ret = fclose(outfile);
return 0;
}

